%define name expedite
%define version 1.7.9
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary:	Evas benchmark/test suite
Name:		%{name}
Version:	%{version}
Release:	%release
License: 	BSD
Group: 		Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: %name-%svn.tar.xz
%else
Source: http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Source1:	%name.desktop
URL:		http://trac.enlightenment.org/e/wiki/Expedite
BuildRequires:  pkgconfig
%if %svn
BuildRequires: 	pkgconfig(evas) >= %{version}-0.%svn
%else
BuildRequires: 	pkgconfig(evas) >= %{version}
%endif
BuildRequires:	xcb-util-devel
BuildRequires:	SDL-devel
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxrender-devel
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils

%description
Expedite Evas benchmark/test suite

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cp -vf %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/e.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 data/e.png %buildroot%_iconsdir/%name.png
convert -resize 16x16 data/e.png %buildroot%_miconsdir/%name.png

mkdir -p %buildroot%{_datadir}/pixmaps
cp data/e.png %buildroot%{_datadir}/pixmaps/%name.png

# find %buildroot -name *.la | xargs rm

%files
%doc  AUTHORS COPYING* README
%{_bindir}/%name
%{_bindir}/expedite-cmp
%{_datadir}/%name
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%_datadir/pixmaps/*.png
%{_datadir}/applications/*





%changelog
* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552465
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463328
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 1.7.8-1.mga4
+ Revision: 463235
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444980
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412567
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339278
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333860
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327935
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321322
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320197
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290148
- update to release 1.7.0

* Thu Jun 07 2012 trem <trem> 1.2.0-1.mga3
+ Revision: 257068
- update to 1.2.0 (stable release)

* Sun Apr 15 2012 trem <trem> 1.1.0-0.r69188.2.mga2
+ Revision: 230946
- fix expedite argument (replace x11 by xlib)

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222678
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222411
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217989
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217539
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215205
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214418
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213963
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212070
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210786
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210234
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207537
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207250
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206959
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 205994
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Fri Jan 06 2012 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 192378
- fix desktop entry (remove ENLIGHTENMENT)
- fix summary (remove name in summary)
- fix url (use expedite wiki url)
- update to release 66418

* Tue Apr 19 2011 ennael <ennael> 0.7.2-1.mga1
+ Revision: 88317
- clean spec file
- imported package expedite


* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 622840
- new version 0.7.2

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 597999
- new version 0.7.1
- BR xrender
- new snapshot

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20091130.1mdv2010.1
+ Revision: 478143
- bump rel
- New snapshot

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20090808.1mdv2010.0
+ Revision: 411698
- renew tarball to build with latest evas

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20090503.2mdv2010.0
+ Revision: 393395
- fix xcb
- rebuild

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20090503.1mdv2010.0
+ Revision: 370871
- New snapshot

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.6.0-7mdv2009.1
+ Revision: 346965
- add missing binairies
- SVN SNAPSHOT 20090227, release 0.6.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Oct 19 2008 Funda Wang <fwang@mandriva.org> 0.6.0-6mdv2009.1
+ Revision: 295182
- simplify BR

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-5mdv2009.0
+ Revision: 266746
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 214080
- clean spec

  + Antoine Ginies <aginies@mandriva.com>
    - update buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 0.6.0-3mdv2008.0
+ Revision: 33097
- fix expedite.desktop

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 0.6.0-2mdv2008.0
+ Revision: 32865
- rebuild to enable evas_gl

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.6.0-1mdv2008.0
+ Revision: 32581
- adjust buildrequires
- few adjustement to fix menu entry
- first release
- Import expedite

